//0：草稿  3：待审核 1：审核通过 2拒绝
function recruitStatus(status) {
	switch (status) {
		case 0:
			return '草稿'
		case 1:
			return '审核通过'
		case 2:
			return '拒绝'
		case 3:
			return '待审核'
	}
	return ''
}

/**
 * 错误状态
 */
function failStatus(role, content) {

	if (content.type == 4) {

		if (role == 1) { //采购商

			let status = content.status
			if (status == 2)
				return true

		} else {
			let preStatus = content.preStatus
			if (preStatus == 5 || preStatus == 6)
				return true
		}

	} else {

		let taskStatus = content.taskStatus

		if (taskStatus == 10 || taskStatus == 91 || taskStatus == 9)
			return true
	}

	return false
}

/**
 * 供应商招募状态
 *  1、报名；2、报名通过；3、交纳保证金；4、确认保证金；5、报名驳回；6、保证金驳回
 */
function recruitPreStatus(preStatus) {
	switch (preStatus) {
		case 1:
			return '报名'
		case 2:
			return '报名通过'
		case 3:
			return '交纳保证金'
		case 4:
			return '确认保证金'
		case 5:
			return '报名驳回'
		case 6:
			return '保证金驳回'
	}
	return ''
}

function getColor(type, division) {
	//1：招标2：询价3：集招4：招募
	//招标类型 0、物资招标1、租赁招标2、劳务招标 3班组
	type += ''
	division += ''
	switch (type) {
		case '1':
			if (division == 0)
				return '#90b9ef'
			else if (division == 1)
				return '#898df2'
			else if (division == 1)
				return '#3fa6ff'
			else
				return '#68ACFE'
			break
		case '2':
			if (division == 0)
				return '#5BDFC9'
			else if (division == 2)
				return '#31A9BC'
			else if (division == 3)
				return '#68ACFE'
			break
		case '3':
			return '#256EFF'
			break
		case '4':
			return '#aa8df2'
			break
	}
	return '#90b9ef'
}


function getDivision(division){
	 division += ''
	 let division_text = ''
	 
	 switch (division) {
	 	case '0':
	 		division_text = '物资'
	 		break
		case '1':
			division_text = '租赁'
			break
		case '2':
			division_text = '劳务'
			break
		case '3':
			division_text = '班组'
			break
		default:
			division_text = '物资'
	}
	
	return division_text
}

function getType(type) {

	let type_text = ''
   type += ''

	switch (type) {
		case '1':
			type_text = "招标"
			break
		case '2':
			type_text = "询价"
			break
		case '3':
			type_text = "集招"
			break
		case '4':
			type_text = "招募"
			break
	}

	return type_text

}

function taskStatus(param) {
	let value = ''
	switch (param) {
		case 0:
			value = '草稿'
			break
		case 1:
			value = '待平台审核'
			break
		case 10:
			value = '审核失败'
			break
		case 20:
			value = '一轮报价'
			break
		case 30:
			value = '一轮结束'
			break
		case 40:
			value = '二轮报价'
			break
		case 50:
			value = '二轮结束'
			break
		case 80:
			value = '最终轮报价'
			break
		case -1:
			value = '待内部审核'
			break
		case 9:
			value = '招标失败'
			break
		case 91:
			value = '流标'
			break
		case 99:
			value = '招标结束'
			break
	}

	return value

}

module.exports = {
	taskStatus: taskStatus,
	getColor: getColor,
	getType: getType,
	recruitStatus: recruitStatus,
	recruitPreStatus: recruitPreStatus,
	failStatus: failStatus,
	getDivision:getDivision
}
